IncidentActionItems
Creates an incident action item
Creates a new action item from provided data
POST
/
v1
/
incidents
/
{incident_id}
/
action_items
Creates an incident action item
curl --request POST \
--url https://api.rootly.com/v1/incidents/{incident_id}/action_items \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"type": "incident_action_items",
"attributes": {
"summary": "<string>",
"description": "<string>",
"assigned_to_user_id": 123,
"assigned_to_group_ids": [
"<string>"
],
"due_date": "<string>",
"jira_issue_id": "<string>",
"jira_issue_key": "<string>",
"jira_issue_url": "<string>",
"form_field_selections": [
{
"form_field_id": "<string>",
"id": "<string>",
"value": "<string>",
"selected_option_ids": [
"<string>"
],
"selected_user_ids": [
123
],
"selected_group_ids": [
"<string>"
],
"selected_service_ids": [
"<string>"
],
"selected_functionality_ids": [
"<string>"
],
"selected_catalog_entity_ids": [
"<string>"
],
"selected_environment_ids": [
"<string>"
],
"selected_cause_ids": [
"<string>"
],
"selected_incident_type_ids": [
"<string>"
],
"_destroy": true
}
]
}
}
}
'import requests
url = "https://api.rootly.com/v1/incidents/{incident_id}/action_items"
payload = { "data": {
"type": "incident_action_items",
"attributes": {
"summary": "<string>",
"description": "<string>",
"assigned_to_user_id": 123,
"assigned_to_group_ids": ["<string>"],
"due_date": "<string>",
"jira_issue_id": "<string>",
"jira_issue_key": "<string>",
"jira_issue_url": "<string>",
"form_field_selections": [
{
"form_field_id": "<string>",
"id": "<string>",
"value": "<string>",
"selected_option_ids": ["<string>"],
"selected_user_ids": [123],
"selected_group_ids": ["<string>"],
"selected_service_ids": ["<string>"],
"selected_functionality_ids": ["<string>"],
"selected_catalog_entity_ids": ["<string>"],
"selected_environment_ids": ["<string>"],
"selected_cause_ids": ["<string>"],
"selected_incident_type_ids": ["<string>"],
"_destroy": True
}
]
}
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/vnd.api+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/vnd.api+json'},
body: JSON.stringify({
data: {
type: 'incident_action_items',
attributes: {
summary: '<string>',
description: '<string>',
assigned_to_user_id: 123,
assigned_to_group_ids: ['<string>'],
due_date: '<string>',
jira_issue_id: '<string>',
jira_issue_key: '<string>',
jira_issue_url: '<string>',
form_field_selections: [
{
form_field_id: '<string>',
id: '<string>',
value: '<string>',
selected_option_ids: ['<string>'],
selected_user_ids: [123],
selected_group_ids: ['<string>'],
selected_service_ids: ['<string>'],
selected_functionality_ids: ['<string>'],
selected_catalog_entity_ids: ['<string>'],
selected_environment_ids: ['<string>'],
selected_cause_ids: ['<string>'],
selected_incident_type_ids: ['<string>'],
_destroy: true
}
]
}
}
})
};
fetch('https://api.rootly.com/v1/incidents/{incident_id}/action_items', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"type": "incident_action_items",
"attributes": {
"summary": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"description": "<string>",
"assigned_to": {
"id": 123,
"email": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"name": "<string>",
"phone": "<string>",
"phone_2": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"preferred_name": "<string>",
"full_name": "<string>",
"full_name_with_team": "<string>",
"slack_id": "<string>",
"time_zone": "<string>"
},
"assigned_to_group_ids": [
"<string>"
],
"due_date": "<string>",
"jira_issue_id": "<string>",
"jira_issue_key": "<string>",
"jira_issue_url": "<string>",
"created_by": {
"id": 123,
"email": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"name": "<string>",
"phone": "<string>",
"phone_2": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"preferred_name": "<string>",
"full_name": "<string>",
"full_name_with_team": "<string>",
"slack_id": "<string>",
"time_zone": "<string>"
}
}
},
"included": [
{
"id": "<string>",
"type": "<string>",
"attributes": {},
"relationships": {}
}
]
}{
"errors": [
{
"title": "<string>",
"status": "<string>",
"code": "<string>",
"detail": "<string>"
}
]
}{
"errors": [
{
"title": "<string>",
"status": "<string>",
"code": "<string>",
"detail": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/vnd.api+json
Show child attributes
Show child attributes
Was this page helpful?
⌘I
Creates an incident action item
